/*
* @components   Checkbox
*/

.checkbox {
    display: inline-flex;
    // margin: 0;
    label {
        min-height: auto;
        padding-left: 0;
        margin-bottom: 0;
        font-weight: inherit;
    }
    input[type="checkbox"] {
        display: none;
    } //label(class="checkbox")
    input[type="checkbox"]+.checkbox {
        display: inline-flex;
        transition: 0.3s ease all;
    }
    input[type="checkbox"]:checked+.checkbox {
        display: inline-flex;
    } //span.checkbox__icon
    input[type="checkbox"]+.checkbox .checkbox__icon {
        display: inline-flex;
        flex-shrink: 0;
        position: relative;
        height: rem(13);
        width: rem(13);
        margin: 0 rem(6) 0 0;
        // border: rem(1) solid #74a2c5;
        background: #d8d8d8;
        border-radius: rem(3);
        transition: 0.3s ease all;
    } //span.checkbox__text
    input[type="checkbox"]+.checkbox .checkbox__text {
        display: inline-block;
        width: calc(100% - 0);
        color: #2e3b44;
        font-family: inherit;
        font-size: rem(13);
        line-height: 1.38;
        font-weight: 400;
    } //check effects
    input[type="checkbox"]+.checkbox .checkbox__icon {
        //background-position: 0 0;
    }
    input[type="checkbox"]:checked+.checkbox .checkbox__icon {
        position: relative;
        &:before {
            position: absolute;
            content: '';
            top: calc(50%);
            left: 50%;
            width: rem(8);
            height: rem(8);
            background: url('%=static=%assets/checkbox/check2.svg') no-repeat center center / contain;
            transform: translateX(-50%)translateY(-50%);
        }
    }
    // .checkbox__icon:hover {
    //     position: relative;
    //     &:before {
    //         position: absolute;
    //         content: '';
    //         top: 50%;
    //         left: 50%;
    //         width: rem(12);
    //         height: rem(9);
    //         background: url('%=static=%assets/checkbox/check-hover.svg') no-repeat center center;
    //         transform: translateX(-50%)translateY(-50%);
    //     }
    // }
    input[type="checkbox"]+.checkbox:hover {
        cursor: pointer;
    }
    &__label{
        line-height: rem(16);
    }
}
